How to install PyTango on windows to be conda-friendly?

Hi,
I can install PyTango on linux within conda with:
conda install -c tango-controls pytango

But this does not work on windows. Is there some other conda channel providing pytango conda packages for windows?

If not, can someone recommended a way to make PyTango importable from a windows conda environment?

Thanks!
Hi Carlos,

To my knowledge there is no conda pytango package for windows.

PyTango 9.2.1 is available from pypi so a simple:

pip install pytango

from within the conda environment should work.

If you need the latest, you can download the installer for your platform here
Hello Tiago,

Is there a way to get the lastest PyTango release 9.2.3 Windows installer? It seems not to be available yet.
Is PyTango for Windows still included in the continuous build process as announced last Tango con?

Regards,
Cyrille.
Hi Cyrille,

PyTango on Windows is part of the continuous integration which runs on appveyor. There was a minor problem recently that appveyor changed their policy about keeping artifacts for longer than 6 months. We have just copied them to github so they can be available for longer. Sebastien (who did all the work) will soon make an announcement how to access them.

In the future we will provide conda packets for Windows. Hopefully sometime this summer.

Regards

Andy
An intermediate version of the continuous integration builds for Windows can be found here:

libtango: https://github.com/NexeyaSGara/cppTango/releases/tag/9.2.6

BEWARE: THIS VERSION OF TANGO IS AN INTERMEDIATE VERSION AND MIGHT HAVE ISSUES !

PyTango: https://github.com/NexeyaSGara/pytango/releases/tag/9.2.6

PyTango is version 9.2.3

To use them you need to download the msi (or exe) file for the version of Windows Visual C++ you want. If in doubt try the latest one (VS14). Install the software. Use the default location for the Tango libraries and choose the version of Python you installed with Conda (or other means if you are not using Conda). Start python or ipython and type:

import tango
db=tango.DeviceProxy("sys/database/2")
db.info()

You should see something like this:

DeviceInfo(dev_class = 'DataBase', dev_type = 'Uninitialised', doc_url = 'Doc URL = http://www.tango-controls.org', server_host = 'lapgotz.esrf.fr', server_id = 'databaseds/2', server_version = 5)

You should now be able to use PyTango.

Any feedback on using the above builds will be useful.

Build of official releases will follow soon, we are re-organising the CI project for Windows.

Andy
Edited 4 months ago
Hi Andy,

Thank you very much for the precious information. We are using both Windows and Linux tango distribs, I will let you know if it went successfully.

Regards,
Cyrille
Hi

I try to build PyTango-9.2.3 with libtango_9.3.1_v120_x64 (download from https://ci.appveyor.com/project/bourtemb/cpptango-tt3w8/branch/tango-9-lts , currently update to libtango_9.3.2_v120_x64) on Windows10 + VS2013, but failed as output:
..\..\ext\server\command.cpp(304): error C2065: 'DOIT_ARRAY' : undeclared identifier
..\..\ext\server\command.cpp(327): error C2065: 'DOIT_ARRAY' : undeclared identifier
..\..\ext\device_data.cpp(200): error C2065: 'DOIT_ARRAY' : undeclared identifier
..\..\ext\device_data.cpp(210): error C2065: 'DOIT_ARRAY' : undeclared identifier
..\..\ext\device_pipe.cpp(141): error C2065: 'DOIT_ARRAY' : undeclared identifier
..\..\ext\device_proxy.cpp(299): error C2065: 'DOIT_ARRAY' : undeclared identifier
..\..\ext\server\pipe.cpp(309): error C2065: 'DOIT_ARRAY' : undeclared identifier

but build with tango-9.2.2 is ok!

search 'DOIT_ARRAY' in pytango-9.2.3 source code, found that 'DOIT_ARRAY' only in ext/tgutils.h file, but i can not find it's declaration. i also found that from pytango-9.2.2, ext/tgutils.h file had some change, added:
#if TANGO_VERSION_NB > 90205
#define __TANGO_DVBA __TANGO_DEPEND_ON_TYPE_AUX_ID(DEVVAR_BOOLEANARRAY, DOIT_ARRAY)
#else
#define __TANGO_DVBA
#endif

and replaced:
/*        __TANGO_DEPEND_ON_TYPE_AUX_ID(DEVVAR_BOOLEANARRAY, DOIT_ARRAY) */\
with
        __TANGO_DVBA \

but i can not get what that meaning for tango-9.2.5 above
Edited 4 months ago
Hi,
Sorry for the silence. I expected to get automated notifications on replies to this thread since I started it but it is not the case, so I missed your replies.

Just to comment on Tiago's suggestion: I tried with pip and I got the expected problems when it tried to compile from the latest tarball. Then I tried using

pip install –only-binary :all: pytango

and it didn't work (could not find suitable target).
The same thing happened when I tried forcing the version to the last one in pypi with a windows binary (9.2.1)

So, I'll try with Andy's suggestion of using the msi and choosing the python from conda (as soon as I get a windows machine to try it on again)


Thanks for the replies!
 
Register or login to create to post a reply.